precision highp float;
uniform sampler2D inputImageTexture;
varying highp vec2 textureCoordinate;
uniform float ratio;

void main(){
    vec2 delta = vec2(ratio, 0);
    vec4 textureColor = texture2D(inputImageTexture,textureCoordinate.xy);
    textureColor.g = texture2D(inputImageTexture,textureCoordinate.xy + delta).g;
    textureColor.b = texture2D(inputImageTexture,textureCoordinate.xy + delta).b;
    gl_FragColor = textureColor;
}





