precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float strength;

void main()
{
    vec4 color = texture2D(inputImageTexture, textureCoordinate);
    gl_FragColor = mix(color, vec4(0.0, 0.0, 1.0, 1.0), 0.3*strength);
}