precision mediump float;

varying mediump vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform float strength;

void main()
{
    vec4 originalTextureColor = texture2D(inputImageTexture, textureCoordinate);
    vec3 texel = texture2D(inputImageTexture, textureCoordinate).rgb;
    texel = vec3(dot(vec3(0.3, 0.6, 0.1), texel));
    texel = vec3(texture2D(inputImageTexture2, vec2(texel.r, .16666)).r);
    gl_FragColor = mix(originalTextureColor, vec4(texel, 1.0), strength);
}