precision highp float;
uniform sampler2D inputImageTexture;
varying highp vec2 textureCoordinate;
uniform float strength;

void main(){
    vec4 color = texture2D(inputImageTexture, textureCoordinate);
    gl_FragColor = mix(color, vec4(1.0, 0.753, 0.796, 1.0), 0.25*strength);
}